<!DOCTYPE html> 
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Admin Panel</title>

	<link rel="stylesheet" href="layouts/css/main.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="https://code.angularjs.org/1.3.0-beta.5/angular.js"></script>  
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js"></script>
    <script src="layouts/js/app.js"></script>
    <script src="layouts/js/script.js"></script>
<link href="layouts/css/main.css" rel='stylesheet' type='text/css' />
    <script src="layouts/css/demo.css" rel='stylesheet' type='text/css' />
	<link rel="stylesheet" href="layouts/bootstrap/css/bootstrap.css">		
		<script type="application/x-javascript"> addEventListener("load", function() { setTimeout(hideURLbar, 0); }, false); function hideURLbar(){ window.scrollTo(0,1); } </script>
		<!--webfonts-->
		<link href='http://fonts.googleapis.com/css?family=Open+Sans:600italic,400,300,600,700' rel='stylesheet' type='text/css'>
		<!--//webfonts-->
<httpProtocol>
      <customHeaders>
        <add name="Access-Control-Allow-Origin" value="*" />
        <add name="Access-Control-Allow-Headers" value="Content-Type" />
        <add name="Access-Control-Allow-Methods" value="GET, POST, PUT, DELETE, OPTIONS" />
      </customHeaders>
    </httpProtocol>

</head>
<body  ng-app="myApp" ng-controller="MyController">
<div id="container">
			<header>
				<h1><a href="#" title="WebPage" target="_blank">Admin Panel</a></h1>
				<nav>
					<ul>									
						<!--<li class="web"><a href="http://www.deinterfaz.com"><span>Web Page</span></a></li>-->
						<li class="tohome external"><a href="home.html" ><span></span></a></li>
						<li class="logout"><a href="index.html" ><span></span></a></li>
						
					</ul>
				</nav>
				<div class="clearfix"></div>
			</header>
			

<div id="header">  </div>
    <!-- CENTERED-->
	<div id="main">
    <div id="divContainer">

<div class="box">                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           <a onClick="window.location.href='driver.html'">Back</a></div> 
        <!-- HTML5 TABLE FORMATTED VIA CSS3-->
        <table class="formatHTML5">
            <!-- TABLE HEADER-->
            <thead>
                <tr><br></tr>
                <tr>
					 <th colspan=5>Update Driver &nbsp;&nbsp; &nbsp;  {{del.Status}}  </th> </th>
                </tr>
            </thead>
            <!-- TABLE BODY: MAIN CONTENT-->
            <tbody>  

                <tr>
					<td> Id </td>
                    <td> <input type="text" ng-model="user.id" disabled required> </td>								
                </tr>
                <tr >
					<td> Name </td>
                    <td> <input type="text" ng-model="user.name" value="" required> </td>								
                </tr>
                <tr>
					<td> Mobile </td>
                    <td> <input type="text" ng-model="user.mobile" required value=""> </td>								
                </tr>
                <tr>
					<td> Email </td>
                    <td> <input type="email" ng-model="user.email" required value=""> </td>								
                </tr>
                <tr>
					<td> Location </td>
                    <td> <input type="text" ng-model="user.location" required value=""> </td>								
                </tr>
                <tr>
					<td> &nbsp; </td>
                    <td> <input type="submit"  ng-click="updateRow(user.id,user.name,user.mobile,user.email,user.location)" value="Submit"> </td>								
                </tr>
            </tbody>

            <!-- TABLE FOOTER-->
           
        </table>    
    </div>     <!-- id divContainer -->
	</div> <!-- id Main -->
	
	<div id="footer"> footer  </div>
	    
	
	</div>  <!-- id container -->
<script> 
var app = angular.module('myApp', []);
app.config( [ '$locationProvider', function( $locationProvider ) {
   // In order to get the query string from the
   // $location object, it must be in HTML5 mode.
   $locationProvider.html5Mode(true);
}]);

app.controller( 'MyController', [ '$scope', '$http','$location', function( $scope,$http, $location ) {
  // update Driver Row
        $scope.updateRow = function(id,name,mobile,email,location) {
	    $scope.original = {id:id, name:name, mobile:mobile, email:email, location:location}; 
                console.log($scope.original);
                $http.post('http://localhost:8085/calltaxi/v1/driver/updateApi', $scope.original)
                .success(function(response){
                //console.log(response);
                $scope.del = response;
                })
               };

// Single View
var id=$location.search().id;
//console.log($location.search().id);
$scope.original = {id:id}; 
    $http.get('http://localhost:8085/calltaxi/v1/driver/singleview?id='+id)
	.then(function(response) {

            if(response.data.result =='Success'){
                    $scope.user = response.data;
                }    
    }); 
}]);
</script>

</body>
</html>
